/* Sistemas Integrados TEKNISA
   Compras e Suprimentos

Nome: 8600_CMPTRGO.sql

Descrio:
Carrega o complemento do nome do produto na observao do item de solicitao.

Criao:
10/02/2001 - Adriano de Arajo
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'COMPL_PROD' and
            type = 'TR'           and
            u.uid = o.uid         and
            u.name = USER)
  DROP TRIGGER COMPL_PROD
GO

CREATE TRIGGER COMPL_PROD
ON ITEMSOLI
FOR INSERT
AS
BEGIN
   UPDATE ITEMSOLI
   SET ITEMSOLI.TXOBSITMSOL = PRODUTO.DSCOMPLNOME
   FROM
      INSERTED,
      PRODUTO
   WHERE
      (ITEMSOLI.CDPRODUTO  = INSERTED.CDPRODUTO)  AND
      (ITEMSOLI.CDFILSOLI  = INSERTED.CDFILSOLI)  AND
      (ITEMSOLI.CDFILLAN   = INSERTED.CDFILLAN)   AND
      (ITEMSOLI.NRSOLICMP  = INSERTED.NRSOLICMP)  AND
      (ITEMSOLI.DTPROGENTR = INSERTED.DTPROGENTR) AND
      (ITEMSOLI.CDPRODUTO  = PRODUTO.CDPRODUTO)   AND
      (PRODUTO.DSCOMPLNOME IS NOT NULL)           AND
      (ITEMSOLI.TXOBSITMSOL IS NULL)
END;
GO
